#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    float z, s;
    float a[1000];
    float p[1000];
    scanf("%d", &n);
    for(int i=0; i<n; i++){
        scanf("%f", &a[i]);
        scanf("%f", &p[i]);
    }
      z=0;
      s=0;
       for(int i=0; i<n; i++){
        for(int j=0; j<n; j++){
           if(p[i]<=p[j]){
            s+=a[j]*p[i]/100;
           }
        }
        if(s>z){
            z=s;
        }
        s=0;
    }
    printf("%0.4f",z);
}